eCos User Guide
Prev | Appendix A. Target Setup | Next

# TX39 Architectural Simulator Setup

The TX39 simulator is an architectural simulator which implements all the features of the Toshiba TX39 needed to run eCos. The current implementation provides accurate simulation of the instruction set, interrupt controller, and timers, as well as having generic support for diagnostic output, serial I/O, and exceptions.

In this release, you can run the same eCos binaries in the simulator that can run on target hardware, if it is built for ROM start-up.

To simplify connection to the simulator, you are advised to create a GDB macro by putting the following code in your personal GDB start-up file (gdb.ini on Windows and .gdbinit on UNIX).

    define tsim
     target sim --board=jmr3904pal --memory-region 0xffff8000,0x900 \
                --memory-region 0xffffe000,0x4 \
                --memory-region 0xb2100000,0x4
     rbreak cyg_test_exit
     rbreak cyg_assert_fail
    end

You can then connect to the simulator by invoking the command tsim on the command line:

    (gdb) tsim

You can achieve the same effect by typing out the macro’s content on the command line if necessary.

Prev | Home | Next
TX39 Hardware Setup | Up | TX49 Hardware Setup